net.sf.jasperreports.charts.base

## Class JRBaseXyzSeries

- java.lang.Object
- - net.sf.jasperreports.charts.base.JRBaseXyzSeries

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRXyzSeries, JRCloneable
  Direct Known Subclasses:
    JRDesignXyzSeries

      public class JRBaseXyzSeries
      extends java.lang.Object
      implements JRXyzSeries, java.io.Serializable

  Version:
    $Id: JRBaseXyzSeries.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Flavius Sana (flavius_sana@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRHyperlink` | `itemHyperlink`
    `protected JRExpression` | `seriesExpression`
    `protected JRExpression` | `xValueExpression`
    `protected JRExpression` | `yValueExpression`
    `protected JRExpression` | `zValueExpression`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBaseXyzSeries()`
    `JRBaseXyzSeries(JRXyzSeries xyzSeries, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRHyperlink` | `getItemHyperlink()` Returns the hyperlink specification for chart items.
    `JRExpression` | `getSeriesExpression()`
    `JRExpression` | `getXValueExpression()`
    `JRExpression` | `getYValueExpression()`
    `JRExpression` | `getZValueExpression()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### seriesExpression

          protected JRExpression seriesExpression

    - #### xValueExpression

          protected JRExpression xValueExpression

    - #### yValueExpression

          protected JRExpression yValueExpression

    - #### zValueExpression

          protected JRExpression zValueExpression

    - #### itemHyperlink

          protected JRHyperlink itemHyperlink

  - ### Constructor Detail

    - #### JRBaseXyzSeries

          public JRBaseXyzSeries()

    - #### JRBaseXyzSeries

          public JRBaseXyzSeries(JRXyzSeries xyzSeries,
                         JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getSeriesExpression

          public JRExpression getSeriesExpression()

      Specified by:
        `getSeriesExpression` in interface `JRXyzSeries`
      Returns:
        a `java.lang.Comparable` object that identifies a certain data series in the overall dataset. It can return different values, which will result in the dataset containing multiple series even when a single `<xyzSeries>` tag is used inside the `<xyzDataset>` tag.

    - #### getXValueExpression

          public JRExpression getXValueExpression()

      Specified by:
        `getXValueExpression` in interface `JRXyzSeries`
      Returns:
        a numeric expression representing the X value from the (x, y, z) item that will be added to the current data series.

    - #### getYValueExpression

          public JRExpression getYValueExpression()

      Specified by:
        `getYValueExpression` in interface `JRXyzSeries`
      Returns:
        a numeric expression representing the Y value from the (x, y, z) item that will be added to the current data series.

    - #### getZValueExpression

          public JRExpression getZValueExpression()

      Specified by:
        `getZValueExpression` in interface `JRXyzSeries`
      Returns:
        a numeric expression representing the Z value from the (x, y, z) item that will be added to the current data series.

    - #### getItemHyperlink

          public JRHyperlink getItemHyperlink()

      Description copied from interface: `JRXyzSeries`
      Returns the hyperlink specification for chart items.

      The hyperlink will be evaluated for every chart item and a image map will be created for the chart.

      Specified by:
        `getItemHyperlink` in interface `JRXyzSeries`
      Returns:
        hyperlink specification for chart items

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com